/* 
    Projekt: Automatisches Bewässerungssystem 
    Studiengang: Mechatronik
    GET-Fachpraktikum
    Datum: 12.12.2023
    Autor: Jürgen Heimann

*/
// Parameter
#define MINIMALE_BODENFEUCHTE 60 // in %

#define BODENFEUCHTE_PIN A0






void initBodenfeuchteSensor() {
  pinMode(BODENFEUCHTE_PIN, INPUT);
}


double messeBodenfeuchte() {
  
  // MESSE 10 WERTE UND BERECHeNE DURCHSCHNITT
  double bodenfeuchte = 0.0;
  for (int i = 0; i < 10; i++) {
    bodenfeuchte = bodenfeuchte + analogRead(BODENFEUCHTE_PIN);
    delay(10);
  }
  bodenfeuchte = bodenfeuchte / 10.0;

  // WANDLE IN PROZENT (1024 = 10Bit Analog Auflösung)
  double prozent = (bodenfeuchte / 1024.0)*100.0;
  Serial.print("Bodenfeuchte = ");
  Serial.println(prozent);
  return prozent; // in %
}


bool istBodenfeucheZuGering() {
  double bodenfeuchte = messeBodenfeuchte();
  
  if (bodenfeuchte < MINIMALE_BODENFEUCHTE){
    return true;
  } else {
    return false;
  }
}
